Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 255231 (CVE-2008-5907) - media-libs/libpng<1.2.34 png_check_keyword memory overwrite (CVE-2008-5907)
Summary: media-libs/libpng<1.2.34 png_check_keyword memory overwrite (CVE-2008-5907)
Status: RESOLVED FIXED
Alias: CVE-2008-5907
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://openwall.com/lists/oss-securit...
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-17 00:47 UTC by Stefan Behte (RETIRED)
Modified: 2009-03-15 18:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Behte (RETIRED) gentoo-dev Security 2009-01-17 00:47:28 UTC
CVE-2008-5907 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-5907):
  The png_check_keyword function in pngwutil.c in libpng before 1.0.42,
  and 1.2.x before 1.2.34, might allow context-dependent attackers to
  set the value of an arbitrary memory location to zero via vectors
  involving creation of crafted PNG files with keywords, related to an
  implicit cast of the '\0' character constant to a NULL pointer. 
  NOTE: some sources incorrectly report this as a double free
  vulnerability.
Comment 1 Stefan Behte (RETIRED) gentoo-dev Security 2009-01-17 00:54:45 UTC
base-system: can this go stable?
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2009-01-17 01:19:49 UTC
The summary is misleading as it includes version 1.2.34 which seems to be unaffected.
Comment 3 Stefan Behte (RETIRED) gentoo-dev Security 2009-01-17 02:48:55 UTC
Thanks, fixed.
Comment 4 SpanKY gentoo-dev 2009-01-17 15:53:14 UTC
ive seen no regressions with 1.2.34 ... it's fine to stabilize
Comment 5 Robert Buchholz (RETIRED) gentoo-dev 2009-01-17 16:40:17 UTC
Arches, please test and mark stable:
=media-libs/libpng-1.2.34
Target keywords : "alpha amd64 arm hppa ia64 m68k ppc ppc64 s390 sh sparc x86"
Comment 6 Ferris McCormick (RETIRED) gentoo-dev 2009-01-17 17:08:12 UTC
Sparc stable (I've been using it with no problems for 3 or 4 weeks now).
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2009-01-18 11:19:27 UTC
ppc stable
Comment 8 Tobias Klausmann gentoo-dev 2009-01-18 12:18:57 UTC
Stable on alpha.
Comment 9 Markus Meier gentoo-dev 2009-01-18 13:58:20 UTC
amd64/x86 stable
Comment 10 Jeroen Roovers gentoo-dev 2009-01-19 11:31:53 UTC
Stable for HPPA.
Comment 11 Brent Baude (RETIRED) gentoo-dev 2009-01-19 16:12:27 UTC
ppc64 done
Comment 12 Stefan Behte (RETIRED) gentoo-dev Security 2009-01-26 00:54:00 UTC
ia64: *ping*
Comment 13 Tobias Heinlein (RETIRED) gentoo-dev 2009-01-28 00:27:53 UTC
GLSA together with bug 244808.
Comment 14 Raúl Porcel (RETIRED) gentoo-dev 2009-02-02 19:25:20 UTC
ia64 stable
Comment 15 Robert Buchholz (RETIRED) gentoo-dev 2009-02-12 16:44:18 UTC
Redhat is disputing this issue:
http://thread.gmane.org/gmane.comp.security.oss.general/1375
Comment 16 Pierre-Yves Rofes (RETIRED) gentoo-dev 2009-03-15 18:46:33 UTC
GLSA 200903-28